Index: /LMDZ4/trunk/libf/dyn3dpar/tourpot.F
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/tourpot.F	(revision 1000)
+++ /LMDZ4/trunk/libf/dyn3dpar/tourpot.F	(revision 1000)
@@ -0,0 +1,81 @@
+!
+! $Header$
+!
+      SUBROUTINE tourpot ( vcov, ucov, massebxy, vorpot )
+      IMPLICIT NONE
+
+c=======================================================================
+c
+c   Auteur:  P. Le Van
+c   -------
+c
+c   Objet:
+c   ------
+c
+c    *******************************************************************
+c    .........      calcul du tourbillon potentiel             .........
+c    *******************************************************************
+c
+c     vcov,ucov,fext et pbarxyfl sont des argum. d'entree pour le s-pg .
+c             vorpot            est  un argum.de sortie pour le s-pg .
+c
+c=======================================================================
+
+#include "dimensions.h"
+#include "paramet.h"
+#include "comgeom.h"
+#include "logic.h"
+
+      REAL  rot( ip1jm,llm )
+      REAL vcov( ip1jm,llm ),ucov( ip1jmp1,llm )
+      REAL massebxy( ip1jm,llm ),vorpot( ip1jm,llm )
+
+      INTEGER l, ij
+
+
+
+
+c  ... vorpot = ( Filtre( d(vcov)/dx - d(ucov)/dy ) + fext ) /psbarxy ..
+
+
+
+c    ........  Calcul du rotationnel du vent V  puis filtrage  ........
+
+      DO 5 l = 1,llm
+
+      DO 2 ij = 1, ip1jm - 1
+      rot( ij,l ) = vcov(ij+1,l)-vcov(ij,l)+ucov(ij+iip1,l)-ucov(ij,l)
+   2  CONTINUE
+
+c    ....  correction pour  rot( iip1,j,l )  .....
+c    ....     rot(iip1,j,l) = rot(1,j,l)    .....
+
+CDIR$ IVDEP
+
+      DO 3 ij = iip1, ip1jm, iip1
+      rot( ij,l ) = rot( ij -iim, l )
+   3  CONTINUE
+
+   5  CONTINUE
+
+
+      CALL  filtreg( rot, jjm, llm, 2, 1, .FALSE., 1 )
+
+
+      DO 10 l = 1, llm
+
+      DO 6 ij = 1, ip1jm - 1
+      vorpot( ij,l ) = ( rot(ij,l) + fext(ij) ) / massebxy(ij,l)
+   6  CONTINUE
+
+c    ..... correction pour  vorpot( iip1,j,l)  .....
+c    ....   vorpot(iip1,j,l)= vorpot(1,j,l) ....
+CDIR$ IVDEP
+      DO 8 ij = iip1, ip1jm, iip1
+      vorpot( ij,l ) = vorpot( ij -iim,l )
+   8  CONTINUE
+
+  10  CONTINUE
+
+      RETURN
+      END
Index: /LMDZ4/trunk/libf/dyn3dpar/vitvert.F
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/vitvert.F	(revision 1000)
+++ /LMDZ4/trunk/libf/dyn3dpar/vitvert.F	(revision 1000)
@@ -0,0 +1,52 @@
+!
+! $Header$
+!
+      SUBROUTINE vitvert ( convm , w )
+c
+      IMPLICIT NONE
+
+c=======================================================================
+c
+c   Auteurs:  P. Le Van , F. Hourdin .
+c   -------
+c
+c   Objet:
+c   ------
+c
+c    *******************************************************************
+c  .... calcul de la vitesse verticale aux niveaux sigma  ....
+c    *******************************************************************
+c     convm   est un argument  d'entree pour le s-pg  ......
+c       w     est un argument de sortie pour le s-pg  ......
+c
+c    la vitesse verticale est orientee de  haut en bas .
+c    au sol, au niveau sigma(1),   w(i,j,1) = 0.
+c    au sommet, au niveau sigma(llm+1) , la vit.verticale est aussi
+c    egale a 0. et n'est pas stockee dans le tableau w  .
+c
+c
+c=======================================================================
+
+#include "dimensions.h"
+#include "paramet.h"
+#include "comvert.h"
+
+      REAL w(ip1jmp1,llm),convm(ip1jmp1,llm)
+      INTEGER   l, ij
+
+
+
+      DO 2  l = 1,llmm1
+
+      DO 1 ij = 1,ip1jmp1
+      w( ij, l+1 ) = convm( ij, l+1 ) - bp(l+1) * convm( ij, 1 )
+   1  CONTINUE
+
+   2  CONTINUE
+
+      DO 5 ij  = 1,ip1jmp1
+      w(ij,1)  = 0.
+5     CONTINUE
+
+      RETURN
+      END
Index: /LMDZ4/trunk/libf/dyn3dpar/writedynav_p.F
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/writedynav_p.F	(revision 999)
+++ /LMDZ4/trunk/libf/dyn3dpar/writedynav_p.F	(revision 1000)
@@ -105,9 +105,9 @@
 C  Vents V scalaire
 C
-      if (pole_sud) ije=jj_end-iip1
+      if (pole_sud) ije=ij_end-iip1
       if (pole_sud) jjn=jj_nb-1
       
       call gr_v_scal_p(llm, vnat, vs)
-      call histwrite(histid, 'v', itau_w, vs(ijb::ije,:), 
+      call histwrite(histid, 'v', itau_w, vs(ijb:ije,:), 
      .               iip1*jjn*llm, ndex3d)
 C
@@ -118,5 +118,5 @@
       jjn=jj_nb
       
-      call histwrite(histid, 'theta', itau_w, teta(ijb::ije,:), 
+      call histwrite(histid, 'theta', itau_w, teta(ijb:ije,:), 
      .                iip1*jjn*llm, ndex3d)
 C
Index: /LMDZ4/trunk/libf/dyn3dpar/writehist_p.F
===================================================================
--- /LMDZ4/trunk/libf/dyn3dpar/writehist_p.F	(revision 999)
+++ /LMDZ4/trunk/libf/dyn3dpar/writehist_p.F	(revision 1000)
@@ -90,5 +90,5 @@
       jjn=jj_nb
           
-      call histwrite(histid, 'ucov', itau_w, ucov, 
+      call histwrite(histid, 'ucov', itau_w, ucov(ijb:ije,:), 
      .               iip1*jjn*llm, ndexu)
 
@@ -96,5 +96,5 @@
 C  Vents V
 C
-      if (pole_sud) ije=jj_end-iip1
+      if (pole_sud) ije=ij_end-iip1
       if (pole_sud) jjn=jj_nb-1
       
